> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chatclean.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a new article

> Add a new article to portal



## OpenAPI

````yaml /openapi.json post /api/v1/accounts/{account_id}/portals/{portal_slug}/articles
openapi: 3.1.0
info:
  title: ChatClean API
  description: API REST do ChatClean.
  version: 1.1.0
  contact:
    email: contato@chatclean.com.br
servers:
  - url: https://chat.chatclean.com.br
security: []
tags:
  - name: Account AgentBots
    description: Account-specific Agent Bots
  - name: Agents
    description: Agent management APIs
  - name: Campaigns
    description: >-
      Create, schedule, and manage campaigns. Requires an account administrator
      and API access enabled for the account.
  - name: Canned Responses
    description: Pre-defined responses for common queries
  - name: Contacts
    description: Contact management APIs
  - name: Contact Labels
    description: Manage contact labels
  - name: Conversation Assignments
    description: Manage conversation assignments
  - name: Conversation Labels
    description: Manage conversation labels
  - name: Conversations
    description: Conversation management APIs
  - name: Custom Attributes
    description: Custom fields for contacts and conversations
  - name: Custom Filters
    description: Saved filters for conversations
  - name: Inboxes
    description: Communication channels setup
  - name: Integrations
    description: Third-party integrations
  - name: Labels
    description: Account label management APIs
  - name: Messages
    description: Message management APIs
  - name: Profile
    description: User profile APIs
  - name: Reports
    description: Analytics and reporting APIs
  - name: Teams
    description: Team management APIs
  - name: Webhooks
    description: Event notification webhooks
  - name: Automation Rule
    description: Workflow automation rules
  - name: Help Center
    description: Knowledge base management
  - name: Contacts API
    description: Public contact APIs
  - name: Conversations API
    description: Public conversation APIs
  - name: Messages API
    description: Public message APIs
paths:
  /api/v1/accounts/{account_id}/portals/{portal_slug}/articles:
    parameters:
      - $ref: '#/components/parameters/account_id'
      - $ref: '#/components/parameters/portal_slug'
    post:
      tags:
        - Help Center
      summary: Add a new article
      description: Add a new article to portal
      operationId: add-new-article-to-account
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/article_create_update_payload'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/article'
        '403':
          description: Access denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bad_request_error'
      security:
        - userBearerAuth: []
        - userApiKey: []
components:
  parameters:
    account_id:
      in: path
      name: account_id
      schema:
        type: integer
      required: true
      description: The numeric ID of the account
    portal_slug:
      in: path
      name: portal_slug
      schema:
        type: string
      required: true
      description: The slug of the portal. The numeric portal ID is not accepted.
      example: handbook
  schemas:
    article_create_update_payload:
      type: object
      properties:
        title:
          type: string
          description: The title of the article
          example: Article Title
        slug:
          type: string
          description: The slug of the article
          example: article-title
        position:
          type: integer
          description: article position in category
          example: 1
        content:
          type: string
          description: The text content.
          example: This is the content of the article
        description:
          type: string
          description: The description of the article
          example: This is the description of the article
        category_id:
          type: integer
          description: The category id of the article
          example: 1
        author_id:
          type: integer
          description: The author agent id of the article
          example: 1
        associated_article_id:
          type: integer
          description: >-
            To associate similar articles to each other, e.g to provide the link
            for the reference.
          example: 2
        status:
          type: integer
          description: >-
            The status of the article. 0 for draft, 1 for published, 2 for
            archived
          example: 1
        locale:
          type: string
          description: The locale of the article
          example: en
        meta:
          type: object
          description: Use for search
          example:
            tags:
              - article_name
            title: article title
            description: article description
    article:
      type: object
      properties:
        id:
          type: integer
        content:
          type: string
          description: The text content.
        meta:
          type: object
        position:
          type: integer
        status:
          type: integer
          enum:
            - draft
            - published
            - archived
        title:
          type: string
        slug:
          type: string
        views:
          type: integer
        portal_id:
          type: integer
        account_id:
          type: integer
        author_id:
          type: integer
        category_id:
          type: integer
        folder_id:
          type: integer
        associated_article_id:
          type: integer
          description: >-
            To associate similar articles to each other, e.g to provide the link
            for the reference.
    bad_request_error:
      title: data
      type: object
      properties:
        description:
          type: string
        errors:
          type: array
          items:
            $ref: '#/components/schemas/request_error'
    request_error:
      type: object
      properties:
        field:
          type: string
        message:
          type: string
        code:
          type: string
  securitySchemes:
    userBearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authenticate with `Authorization: Bearer <token>` using a user API token
        from **Profile Settings**.
    userApiKey:
      type: apiKey
      in: header
      name: api_access_token
      description: >-
        Find your API token in **Profile Settings**. The `api_access_token`
        header remains supported, but will be deprecated in a future release.
        For new integrations, use Bearer authentication.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.